IPCMK(1)

NOM
ipcmk - Créer plusieurs ressources IPC

SYNOPSIS

ipcmk [options]

DESCRIPTION

ipcmk vous permet de créer des objets de communication interprocessus (IPC) system V : des segments de mémoire partagée, des files de messages et des tableaux de sémaphores.

OPTIONS

Les ressources peuvent être indiquées avec les options suivantes.

-M, --shmem taille
    Créer un segment de mémoire partagé de taille octets. Les arguments taille peuvent être suivis des suffixes multiplicatifs KiB (=1024), MiB (=1024*1024), et ainsi de suite pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB (=1000), MB (=1000*1000), et ainsi de suite pour GB, etc."

-Q, --queue
    Créer une file de messages.

-S, --semaphore nombre
    Créer un tableau de sémaphores avec nombre éléments.

Les autres options sont les suivantes.

-p, --mode mode
    Droits d’accès à la ressource (0644 par défaut).

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

AUTEURS

VOIR AUSSI

ipcrm(1), ipcs(1), sysvipc(7)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande ipcmk fait partie du paquet util-linux, elle est disponible sur